/*
SPDX-License-Identifier: GPL-3.0-or-later
Copyright © 2026 Mike Robeson [dijksterhuis]
*/

use ot_tools_interfaces::projects::OctatrackProject;
use ot_tools_interfaces::OtToolsInterfacesError;

fn main() -> Result<(), OtToolsInterfacesError> {
    let mut project_dir = OctatrackProject::new("tmp/example-new-project")?;
    project_dir.save(true)?;
    println!("New project created: tmp/example-new-project");
    Ok(())
}
